Resource Center/Network Resource/VPC Operations
PUTVPC OperationsSince 3.5.1SynchronousAuth Required
UpdateVpcHaGroup
UpdateVpcHaGroup
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updatevpchagroupObjectRequiredupdatevpchagroup request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/vpc/hagroups/{uuid}/actions
/zstack/v1/vpc/hagroups/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/vpc/hagroups/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatevpchagroup":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "5ddaa8fa444c3b0a8e9187d87eb026f6", "name": "test-vpcha", "monitors": [ { "id": 0.0, "vpcHaRouterUuid": "5ddaa8fa444c3b0a8e9187d87eb026f6", "monitorIp": "1.1.1.1" } ], "vrRefs": [ { "uuid": "184c6cab367e3da0aaf7624aa40bb3d0", "vpcHaRouterUuid": "5ddaa8fa444c3b0a8e9187d87eb026f6" } ] } }Change History
This API has no change history records yet.
